# SourcePath: gtk3+/20171215dev
Summary: pango: Library for layout and rendering of internationalized text
Name: sony-target-dev-gtk3+
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gtk3+
Version: 3.22.6
Release: 12000002
Source: gtk+-%{version}.tar.xz
License: GPLV2
URL: http://ftp.gnome.org/pub/GNOME/sources/gtk+
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libxslt
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-atk >= 2.25
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-at-spi2-atk
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-cairo >= 1.14.0
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libepoxy >= 1.0
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-fontconfig
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-gdk-pixbuf >= 2.30.0
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib >= 2.45.8
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-json-glib
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-pango >= 1.37.3
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libX11
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXcomposite
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXcursor
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXdamage
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXext
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXfixes
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXi
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXinerama
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libXrandr
BuildRequires:  %{sony_tool_triplet}-%{sony_target_dialect}-dev-libxkbcommon

%description
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

%package -n %{pkgname} 
Summary: The GTK+ toolkit library (version 3)
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

%prep
%setup -n gtk+-%{version}

%build
%sony_target_dev_setup
export PYTHON=python2.7
%sony_target_dev_configure \
        --disable-static \
        --disable-introspection \
        --enable-x11-backend \
        --disable-introspection \
        --enable-broadway-backend \
    --sysconfdir=%{sony_target_dev_sysconf_dir}
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir} \
    ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pango
touch ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pango/pango.modules
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man1/pango-*
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pango/

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gail-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gdk-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gdk-broadway-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gdk-x11-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gtk+-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gtk+-broadway-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gtk+-unix-print-3.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gtk+-x11-3.0.pc
%{sony_target_dir}%{sony_target_devtool_include_dir}/gtk-3.0/*
%{sony_target_dir}%{sony_target_devtool_include_dir}/gail-3.0/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gtk-3.0/3.0.0/immodules/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gtk-3.0/3.0.0/printbackends/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgailutil*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgdk*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgtk*
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/gtk-3.0/*
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/*

%changelog
* Tue Dec 26 2017 Sony Corporation
- Fixed RPM Relocation Issue. 

* Fri Dec 15 2017 Sony Corporation
- Initial Build. 
